Subject: bug#60411: 29.0.60; minibuffer-next-completion skips first candidate when completions-header-format and completion-show-help are nil

From: Gregory Heytings <[email-masked]>
Date: Fri, 06 Jan 2023 12:13:54 +0000

>
> Then why not change that logic in minibuffer-next-completion to be 
> smarter about this?
>

I (and Stefan) already tried this, it doesn't seem to be feasible with a 
small and safe change.

>
> What you suggest is too ad-hoc-ish, and any future change to the 
> possible values of completions-header-format will risk breaking the 
> condition you propose.
>

I agree about the adhocishness, but I don't see how it could be done 
differently.

>
> Or maybe what minibuffer-next-completion does should be rethought? Why 
> does it assume that the first candidate is on the second line? what if 
> it's on the third line instead?
>

It does not need to be on the second line, it's only that it cannot be at 
BOB.